Package org.apache.sysds.runtime.io.hdf5.message

# Class H5AttributeMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5AttributeMessage

public class H5AttributeMessage extends H5Message
Lightweight placeholder for attribute messages. We currently ignore attribute content but keep track of the bytes to ensure the buffer position stays consistent, logging that the attribute was skipped to aid debugging.

## Constructor Summary

Constructors
Constructor
Description
`H5AttributeMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5AttributeMessage

public H5AttributeMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)